package org.greenstone.gsdl3.util;

/** a class to contain static methods that are used by the xslt
 * stylesheets
 */
public class XSLTUtil {

       public static String toLower(String orig) {
	return orig.toLowerCase();
    }

    public static byte[] toUTF8(String orig) {
	
	try {
	    byte[] utf8 = orig.getBytes("UTF-8");
	    return utf8;
	}
	catch (Exception e){
	    System.err.println("XSLTUtil.toUTF8: unsupported encoding");
	    return orig.getBytes();
	}
    }

    public static int getInt(String orig) {
	return 20;
    }
    
    public static String getString(String orig) {
	return orig;
    }

    public static String getNumberedItem(String list, int number) {
	String [] items = list.split(",", -1);	
	if (items.length > number) {
	    return items[number];
	}
	return ""; // index out of bounds
    }

    
    public static String tidyWhitespace(String original) {
	
	if (original==null || original.equals("")) {
	    return original;
	}
	String new_s = original.replaceAll("\\s+", " ");
	return new_s;
    }
}
